:root{
    --tittle-color:#676767;
    --p-color:#545454;
    --background:#545454;
    --size1:3vw;
    --size2:2vw;
    --size3:1vw;
    }
    
    #navbar{
    position:fixed;
    left:0px;
    top:0px;
    width:20%;
    height:100vh;
    display:flex;
    flex-direction:column;
    flex-shrink:1;
    margin-right:5px;
    border:2px solid #d7d7d7;
    overflow: auto;
    background-color:#fff;
    z-index:2
    }
    #navbar>header{
    text-align:center;
    font-weight:bold;
    padding:1vw;
    font-size:var(--size1);
    color:var(--tittle-color)
    }
    .nav-link{
    text-decoration:none;
    padding:5px;
    color:var(--p-color);
    border-top:2px solid #d7d7d7;
    font-weight:bold;
    
    }
    .nav-link:last-of-type{
    border-bottom:2px solid #d7d7d7;
    }
    .nav-link:hover{
    box-shadow:0px 3px 5px 1px silver;
    }
    
    .main-section{
    padding:10px;
    color:var(--p-color);
    font-size:var(--size3);
    
    }
    .main-section>header{
    color:var(--tittle-color);
    font-weight:bold;
    text-decoration:underline;
    font-size:var(--size2)
    }
    code{
    background-color:#e9e9e9;
    color:purple;
    padding:2px
    }
    #main-doc{
    position:relative;
    left:20%;
    width:80%;
    z-index:1
    }
    @media (max-width:800px){
      #main-doc{
    top:100px;
    left:0px;
    margin:0 auto;
    display:block
    }
    #navbar{
    height:110px;
    width:100%;
    }
    }
    
    @media (max-width:900px){
      :root{
    --size1:200%;
    --size2:150%;
    --size3:100%;
    }
    }